ONVIF::Device::Types::SecurityCapabilitiesExtension(3)

NAME
ONVIF::Device::Types::SecurityCapabilitiesExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType SecurityCapabilitiesExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   TLS1__0

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

     TLS1.0

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::SecurityCapabilitiesExtension
   TLS1__0 =>  $some_value, # boolean
   Extension =>  { # ONVIF::Device::Types::SecurityCapabilitiesExtension2
     Dot1X =>  $some_value, # boolean
     SupportedEAPMethod =>  $some_value, # int
     RemoteUserHandling =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL